import React from "react";

import { Container, Row, Col } from "react-bootstrap";

import styles from "./Footer.module.css";

const Footer = () => {
  return (
    <footer className={`${styles.sm_footer}`}>
      <Container>
        <Row>
          <Col lg={4}>
            <div className={`${styles.footer_images}`}>
                <a aria-label="logo" className={`${styles?.footer_logo}`} href="/">
                  <img
                    loading="lazy"
                    alt="ease to learn logo"
                    src="/etl-sl/static/images/logo-white.webp"
                    width={200}
                    height={200}
                  />
                </a>

              <div className={`${styles.footer_social_links}`}>
                <a href="https://www.facebook.com/easetolearn/" target="_blank">
                  <img
                    loading="lazy"
                    alt="facebook meta logo ETL"
                    src="/etl-sl/static/images/Vectorfacebook.svg"
                    width={28}
                    height={28}
                  />
                </a>

                <a
                  href="https://twitter.com/easetolearn?lang=en"
                  target="_blank"
                >
                  <img
                    loading="lazy"
                    alt="twitter logo ETL"
                    src="/etl-sl/static/images/Vectortwiiter.svg"
                    width={28}
                    height={28}
                  />
                </a>

                <a
                  href="https://www.instagram.com/easetolearn_official/"
                  target="_blank"
                >
                  <img
                    loading="lazy"
                    alt="instagram logo ETL"
                    src="/etl-sl/static/images/instagram.svg"
                    width={28}
                    height={28}
                  />
                </a>

                <a
                  href="https://www.youtube.com/@my_easetolearn"
                  target="_blank"
                >
                  <img
                    loading="lazy"
                    alt="youtube logo"
                    src="/etl-sl/static/images/youtube.svg"
                    width={28}
                    height={28}
                  />
                </a>
              </div>
            </div>
          </Col>
          <Col lg={2}>
            <div className={`${styles.footer_widget}`}>
              <h5>Information</h5>
              <a href="/terms"> Terms & Conditions </a>
              <a href="/privacy-policy">Privacy Policy</a>
              <a href="/sitemap">Sitemap</a>
            </div>
          </Col>
          <Col lg={2}>
            <div className={`${styles.footer_widget}`}>
              <h5>Others</h5>
              <a href="/aboutus">About Us</a>

              <a href="/contactus">Contact Us</a>

              <a href="/faq">FAQ's</a>

              <a href="/download">Download</a>
            </div>
          </Col>
          <Col lg={2}>
            <div className={`${styles.footer_widget}`}>
              <h5>Courses</h5>
              <a href="https://easetolearn.com/course/jee-main">JEE MAIN</a>

              <a href="https://easetolearn.com/course/neet-ug">NEET UG</a>

              <a href="https://easetolearn.com/course/fmge-">FMGE</a>

              <a href="https://easetolearn.com/course/nda-">NDA</a>

              <a href="https://easetolearn.com/course/cat">CAT</a>

              <a href="/courses/engineering">more...</a>
            </div>
          </Col>
          <Col lg={2}>
            <div className={`${styles.footer_widget}`}>
              <p>
                <b>
                  1001-C, Westend Mall, Janakpuri, West Delhi, Delhi, 110058
                </b>
              </p>
              <p>
                <b>Phone: </b> +91 8178388120
              </p>
              <p>
                <b>Email: </b> info@easetolearn.com
              </p>
            </div>
          </Col>
        </Row>
      </Container>

      <small className={styles.footer_copyright}>
        &copy; Copyright easetolearn {new Date().getFullYear()}. All Rights
        Reserved.
      </small>
    </footer>
  );
};

export default Footer;
