import axios from "axios";

const baseURL = process.env.NEXT_PUBLIC_API_URL;

const Axios = (token) => {
  const api = axios.create({
    baseURL,
    headers: {
      "Content-Type": "application/json",
    },
  });

  api.interceptors.request.use(async (config) => {
    if (token) {
      config.headers["Authorization"] = `Bearer ${token}`;
    }
    return config;
  });

  return api;
};

export default Axios;